﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MvpStoreFront.Business.Enumerations;
using MvpStoreFront.Business.ViewInterfaces;

namespace MvpStoreFront.Business.Presenters
{
    public class MasterPagePresenter : BasePresenter<IMasterPage>
    {
        public MasterPagePresenter(IMasterPage view) : base(view)
        {
        }

        protected override void SubscribeViewToEvents()
        {
        }

        protected override void OnViewLoad(object sender, EventArgs e)
        {
            if (!IsPostBack)
                LoadViewFromModel();
        }

        public override void LoadViewFromModel()
        {
            View.HomeUrl = NavigationComponent.GetUrl(PageIdentifier.Home);
            View.BrowseCategoriesUrl = NavigationComponent.GetUrl(PageIdentifier.Categories);
        }
    }

}
