﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MvpStoreFront.Business.Presenters;
using MvpStoreFront.Business.ViewInterfaces;

namespace MvpStoreFront.Web
{
    public partial class Site : System.Web.UI.MasterPage, IMasterPage
    {
        protected override void OnInit(EventArgs e)
        {
            var presenter = new MasterPagePresenter(this);
        }

        public NameValueCollection QueryString
        {
            get { return Request.QueryString; }
        }

        public string HomeUrl
        {
            set { HyperLinkHome.NavigateUrl = value;}
        }

        public string BrowseCategoriesUrl
        {
            set { HyperLinkProducts.NavigateUrl = value; }
        }
    }
}
